import SambaNova from 'sambanova';const client = new SambaNova({ apiKey: process.env['SAMBANOVA_API_KEY'], // This is the default and can be omitted});const completion = await client.completions.create({ model: 'gpt-oss-120b', prompt: '<|begin_of_text|><|start_header_id|>system<|end_header_id|> You are a helpful assistant.<|eot_id|><|start_header_id|>user<|end_header_id|> create a poem using palindromes<|eot_id|><|start_header_id|>assistant<|end_header_id|>',});console.log(completion);
import os
from sambanova import SambaNova
client = SambaNova(
api_key=os.environ.get("SAMBANOVA_API_KEY"), # This is the default and can be omitted
)
for completion in client.completions.create(
model="gpt-oss-120b",
prompt="<|begin_of_text|><|start_header_id|>system<|end_header_id|> You are a helpful assistant.<|eot_id|><|start_header_id|>user<|end_header_id|> create a poem using palindromes<|eot_id|><|start_header_id|>assistant<|end_header_id|>",
):
print(completion)
curl --request POST \
--url https://api.sambanova.ai/v1/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<|begin_of_text|><|start_header_id|>system<|end_header_id|> You are a helpful assistant.<|eot_id|><|start_header_id|>user<|end_header_id|> create a poem using palindromes<|eot_id|><|start_header_id|>assistant<|end_header_id|>",
"max_tokens": 2048,
"model": "gpt-oss-120b",
"stream": false,
"temperature": 0.7,
"top_p": 1
}
'
{ "choices": [ { "finish_reason": "stop", "index": 0, "text": "In madam moon's silver glow, Aha, a palindrome to know, Radar spins, a circular tale, Level heads prevail, without fail. A man, a plan, a canal, Panama! Able was I ere I saw Elba, A Santa at NASA, a curious sight, Do geese see God, in the pale moonlight? Mr. Owl ate my metal worm, Do nine men interpret? Nine men, I nod, Never odd or even, a palindrome's might, Madam, in Eden, I'm Adam. Aibohphobia, a fear to confess, A palindrome's symmetry, I must address, Refer, a word that reads the same, A palindrome's beauty, in its circular game. In the stillness of the night, Ava, a palindrome, shining bright, Hannah, a name that reads the same, A palindrome's magic, in its circular flame. Note: Please keep in mind that creating a poem using palindromes can be a challenging task, and the resulting poem may not be as cohesive or flowing as one that doesn't rely on palindromes. However, I hope you enjoy the attempt!" } ], "created": 1737583288.6076705, "id": "83a7809d-e18f-44f9-9ab7-2bc494c6c661", "model": "gpt-oss-120b", "object": "chat.completion", "system_fingerprint": "fastcoe", "usage": { "acceptance_rate": 4.058139324188232, "completion_tokens": 350, "completion_tokens_after_first_per_sec": 248.09314856382406, "completion_tokens_after_first_per_sec_first_ten": 249.67922929952655, "completion_tokens_per_sec": 238.91966176995348, "end_time": 1737583289.7345645, "is_last_response": true, "prompt_tokens": 43, "start_time": 1737583288.264706, "time_to_first_token": 0.06312894821166992, "total_latency": 1.4649275719174653, "total_tokens": 393, "total_tokens_per_sec": 268.27264878740493 }}
Completions
Create completion
POST
/
completions
JavaScript
import SambaNova from 'sambanova';const client = new SambaNova({ apiKey: process.env['SAMBANOVA_API_KEY'], // This is the default and can be omitted});const completion = await client.completions.create({ model: 'gpt-oss-120b', prompt: '<|begin_of_text|><|start_header_id|>system<|end_header_id|> You are a helpful assistant.<|eot_id|><|start_header_id|>user<|end_header_id|> create a poem using palindromes<|eot_id|><|start_header_id|>assistant<|end_header_id|>',});console.log(completion);
import os
from sambanova import SambaNova
client = SambaNova(
api_key=os.environ.get("SAMBANOVA_API_KEY"), # This is the default and can be omitted
)
for completion in client.completions.create(
model="gpt-oss-120b",
prompt="<|begin_of_text|><|start_header_id|>system<|end_header_id|> You are a helpful assistant.<|eot_id|><|start_header_id|>user<|end_header_id|> create a poem using palindromes<|eot_id|><|start_header_id|>assistant<|end_header_id|>",
):
print(completion)
curl --request POST \
--url https://api.sambanova.ai/v1/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<|begin_of_text|><|start_header_id|>system<|end_header_id|> You are a helpful assistant.<|eot_id|><|start_header_id|>user<|end_header_id|> create a poem using palindromes<|eot_id|><|start_header_id|>assistant<|end_header_id|>",
"max_tokens": 2048,
"model": "gpt-oss-120b",
"stream": false,
"temperature": 0.7,
"top_p": 1
}
'
{ "choices": [ { "finish_reason": "stop", "index": 0, "text": "In madam moon's silver glow, Aha, a palindrome to know, Radar spins, a circular tale, Level heads prevail, without fail. A man, a plan, a canal, Panama! Able was I ere I saw Elba, A Santa at NASA, a curious sight, Do geese see God, in the pale moonlight? Mr. Owl ate my metal worm, Do nine men interpret? Nine men, I nod, Never odd or even, a palindrome's might, Madam, in Eden, I'm Adam. Aibohphobia, a fear to confess, A palindrome's symmetry, I must address, Refer, a word that reads the same, A palindrome's beauty, in its circular game. In the stillness of the night, Ava, a palindrome, shining bright, Hannah, a name that reads the same, A palindrome's magic, in its circular flame. Note: Please keep in mind that creating a poem using palindromes can be a challenging task, and the resulting poem may not be as cohesive or flowing as one that doesn't rely on palindromes. However, I hope you enjoy the attempt!" } ], "created": 1737583288.6076705, "id": "83a7809d-e18f-44f9-9ab7-2bc494c6c661", "model": "gpt-oss-120b", "object": "chat.completion", "system_fingerprint": "fastcoe", "usage": { "acceptance_rate": 4.058139324188232, "completion_tokens": 350, "completion_tokens_after_first_per_sec": 248.09314856382406, "completion_tokens_after_first_per_sec_first_ten": 249.67922929952655, "completion_tokens_per_sec": 238.91966176995348, "end_time": 1737583289.7345645, "is_last_response": true, "prompt_tokens": 43, "start_time": 1737583288.264706, "time_to_first_token": 0.06312894821166992, "total_latency": 1.4649275719174653, "total_tokens": 393, "total_tokens_per_sec": 268.27264878740493 }}
Authorizations
Authorization
string
header
required
SambaNova API key, sent as a bearer token in the Authorization header (Authorization: Bearer <key>). Default authentication scheme used by the SambaNova SDK across every OpenAI compatible endpoint.
Body
application/json
text prompt and parameters
completions request object. Unknown fields are rejected with a 400 (unknown_parameter) error.
model
stringenum<string>
required
The model ID to use (e.g. gpt-oss-120b). See available models
prompt
string
required
Prompt to send to the model.
Example:
"<|begin_of_text|><|start_header_id|>system<|end_header_id|>\nYou are a helpful assistant.<|eot_id|><|start_header_id|>user<|end_header_id|>\ncreate a poem using palindromes<|eot_id|><|start_header_id|>assistant<|end_header_id|>\n"
max_tokens
integer | null
The maximum number of tokens that can be generated in the chat completion. The total length of input tokens and generated tokens is limited by the model's context length.
Example:
2048
max_completion_tokens
integer | null
The maximum number of tokens that can be generated in the chat completion. The total length of input tokens and generated tokens is limited by the model's context length.
Example:
2048
temperature
number | null
default:0.7
What sampling temperature to use, determines the degree of randomness in the response. between 0 and 2, Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. Is recommended altering this, top_p or top_k but not more than one of these.
Required range: 0 <= x <= 2
Example:
0.7
top_p
number | null
Cumulative probability for token choices. An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered. Is recommended altering this, top_k or temperature but not more than one of these.
Required range: 0 <= x <= 1
Example:
1
top_k
integer | null
Amount limit of token choices. An alternative to sampling with temperature, the model considers the results of the first K tokens with higher probability. So 10 means only the first 10 tokens with higher probability are considered. Is recommended altering this, top_p or temperature but not more than one of these.
Required range: 1 <= x <= 100
Example:
5
presence_penalty
number | null
default:0
Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics. Not currently implemented; accepted for API compatibility
Required range: -2 <= x <= 2
frequency_penalty
number
default:0
Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim. Not currently implemented; accepted for API compatibility
Required range: -2 <= x <= 2
repetition_penalty
number | null
Penalizes repeated tokens. A value of 1.0 applies no penalty; values above 1.0 discourage repetition. Only supported for some models (currently MiniMax and gpt-oss models); silently ignored on models that do not support it.
Required range: 1 <= x <= 2
stop
stringstring[]
Sequences where the API will stop generating tokens. The returned text will not contain the stop sequence.
Example:
"\n"
stream
boolean | null
default:false
If set, partial message deltas will be sent. Tokens will be sent as data-only server-sent events as they become available, with the stream terminated by a data: [DONE] message.
stream_options
StreamOptions · object | null
Options for streaming response. Only set this when setting stream as true
Show child attributes
logprobs
boolean | null
default:false
This is not yet supported by our models in completions API. Whether to return log probabilities of the output tokens or not. If true, returns the log probabilities of each output token returned in the content of message.
top_logprobs
integer | null
This is not yet supported by our models in completions API. An integer between 0 and 20 specifying the number of most likely tokens to return at each token position, each with an associated log probability. logprobs must be set to true if this parameter is used.
Required range: 0 <= x <= 20
n
integer | null
default:1
How many completions to generate for each prompt.
Note: Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for max_tokens.
Required range: 1 <= x <= 1
Example:
1
logit_bias
Logit Bias · object | null
Modify the likelihood of specified tokens appearing in the generation. Accepts a JSON object that maps tokens (specified by their token ID in the model tokenizer) to an associated bias value from -100 to 100. Mathematically, the bias is added to the logits generated by the model prior to sampling. Values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.
seed
integer | null
If specified, our system will make a best effort to sample deterministically, such that repeated requests with the same seed and parameters should return the same result.
Determinism is not guaranteed, and you should refer to the system_fingerprint response parameter to monitor changes in the backend.
Response
Successful Response
Completion Response
Completion Stream Response
ompletion response returned by the model
choices
Completion Choice · object[]
required
Minimum array length: 1
Show child attributes
created
number
required
The Unix timestamp (in seconds) of when the chat completion was created.
id
string
required
A unique identifier for the chat completion.
model
string
required
The model used for the chat completion.
object
enum<string>
required
The object type, always chat.completion.
Available options:
chat.completion
Allowed value: "chat.completion"
system_fingerprint
string
required
Backend configuration that the model runs with.
usage
Usage · object | null
required
Usage metrics for the completion, embeddings,transcription or translation request
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"SambaNova Documentation","colors":{"primary":"#974FC7","light":"#974FC7","dark":"#974FC7"},"logo":{"light":"https://mintcdn.com/sambanova-systems/SM8Xs_Eg3x1tlCPk/logo/new-logo.png?fit=max\u0026auto=format\u0026n=SM8Xs_Eg3x1tlCPk\u0026q=85\u0026s=20f20c2369b8f043d9b2ffa55408fd8d","dark":"https://mintcdn.com/sambanova-systems/Jn3W9iRFUNw6zFv7/logo/new-logo-dark.png?fit=max\u0026auto=format\u0026n=Jn3W9iRFUNw6zFv7\u0026q=85\u0026s=660233c9a1affaf1ed08785472551190","href":"https://sambanova.ai"},"favicon":"https://mintcdn.com/sambanova-systems/tKEjjixpklKce6C2/favicon.webp?fit=max\u0026auto=format\u0026n=tKEjjixpklKce6C2\u0026q=85\u0026s=f345bba634c9e3c52db898e169393d6b","api":{"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json","mdx":{"server":["https://api.sambanovacloud.com/"]}},"appearance":{"default":"system"},"background":{"color":{"light":"#f9fafb","dark":"#262626"}},"navbar":{"links":[{"href":"https://community.sambanova.ai","label":"Community"}],"primary":{"type":"button","label":"Try It Now","href":"https://cloud.sambanova.ai/?_gl=1*i3sino*_gcl_au*MzM0MDE5MzAwLjE3MjkwMTkyNzk.*_ga*MTk0NTY3NjQ1NC4xNzI5MDE5Mjg4*_ga_2D4J2VB6SX*MTcyOTA1ODE3OS4zLjAuMTcyOTA1ODE5Ni40My4wLjA."}},"footer":{"socials":{"youtube":"https://www.youtube.com/c/SambaNovaSystems/featured","x":"https://twitter.com/SambaNovaAI","linkedin":"https://www.linkedin.com/company/sambanova-systems"},"links":[{"header":"Company","items":[{"label":"About us","href":"https://sambanova.ai/company/about"},{"label":"Careers","href":"https://sambanova.ai/company/careers"},{"label":"Newsroom","href":"https://sambanova.ai/press"},{"label":"Contact us","href":"https://sambanova.ai/contact"}]},{"header":"Resources","items":[{"label":"Blog","href":"https://sambanova.ai/resources/tag/blog"},{"label":"Case studies","href":"https://sambanova.ai/resources/tag/case-study"},{"label":"White papers","href":"https://sambanova.ai/resources/tag/white-paper"},{"label":"Events","href":"https://sambanova.ai/events"}]},{"header":"Developers","items":[{"label":"SambaAcademy","href":"https://sambanova.ai/samba-academy"},{"label":"Pricing","href":"https://cloud.sambanova.ai/plans/pricing"}]},{"header":"Support and legal","items":[{"label":"Support","href":"https://sambanova.ai/support"},{"label":"Legal agreements","href":"https://sambanova.ai/legal-agreements"},{"label":"Privacy policy","href":"https://sambanova.ai/privacy-policy"}]}]},"seo":{"paths":[{"path":"en/v0.5.17","metatags":{"robots":"noindex, follow"}},{"path":"ja/v0.5.17","metatags":{"robots":"noindex, follow"}},{"path":"en/v1.0.57","metatags":{"robots":"noindex, follow"}},{"path":"ja/v1.0.57","metatags":{"robots":"noindex, follow"}},{"path":"en/v1.1.1","metatags":{"robots":"noindex, follow"}},{"path":"ja/v1.1.1","metatags":{"robots":"noindex, follow"}},{"path":"en/v1.2.0","metatags":{"robots":"noindex, follow"}},{"path":"ja/v1.2.0","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.0.2","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.0.2","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.1.1","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.1.1","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.1.2","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.1.2","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.2.3","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.2.3","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.2.5","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.2.5","metatags":{"robots":"noindex, follow"}},{"path":"en/v2.2.6","metatags":{"robots":"noindex, follow"}},{"path":"ja/v2.2.6","metatags":{"robots":"noindex, follow"}}]},"styling":{"codeblocks":{},"latex":true},"integrations":{"ga4":{"measurementId":"G-J9NMQGJS7S"},"mixpanel":{"projectToken":"ae12e973ba11b9259ca8f76fc03db5e1"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"sambanova-systems","hasAudioNarration":false,"actualSubdomain":"sambanova-systems","customDomains":["docs.sambanova.ai"],"gitSource":{"type":"github","owner":"sambanova","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af6ed60e90c1f4f013ea583","clientVersion":"0.0.4131","searchFilterCounts":[{"language":"en","tag":"SambaStack","count":593},{"language":"ja","tag":"SambaStack","count":526},{"language":"en","tag":"Hardware Administration","count":205},{"language":"en","tag":"Service Administration","count":203},{"language":"ja","tag":"ハードウェア管理","count":181},{"language":"ja","tag":"サービス管理","count":180},{"language":"en","tag":"SambaRack Manager","count":139},{"language":"ja","tag":"SambaRack Manager","count":121},{"language":"en","tag":"Model deployment","count":108},{"language":"ja","tag":"モデルデプロイ","count":92},{"language":"en","tag":"Integrations","count":81},{"language":"en","tag":"Reference Architecture","count":80},{"language":"ja","tag":"外部ツール連携","count":74},{"language":"en","tag":"Resources","count":73},{"language":"ja","tag":"リファレンスアーキテクチャ","count":70},{"language":"en","tag":"Monitoring and Observability","count":66},{"language":"ja","tag":"リソース","count":66},{"language":"ja","tag":"監視と可観測性","count":60},{"language":"en","tag":"Deploying models and bundles","count":42},{"language":"ja","tag":"プラットフォーム管理","count":35},{"language":"default","tag":"API reference","count":21},{"language":"default","tag":"Chat Agents API","count":11},{"language":"default","tag":"Inference API","count":10},{"language":"default","tag":"Subagents Interactive","count":4},{"language":"default","tag":"Subagents","count":4},{"language":"default","tag":"Audio","count":2},{"language":"default","tag":"Messages","count":2},{"language":"default","tag":"Models","count":2},{"language":"default","tag":"Chat completions","count":1},{"language":"default","tag":"Completions","count":1}]},"assistantConfig":{},"basePath":"/docs","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".logo-container{display:flex;align-items:center;justify-content:center;height:48px;margin-bottom:1rem}.logo-container img{max-width:100%;max-height:100%;width:auto;height:32px;object-fit:contain}.eyebrow{display:block;font-size:0.75rem;font-weight:500;text-transform:uppercase;color:#6B7280;margin-bottom:0.5rem;letter-spacing:0.05em}.page-description{display:none}.dark body,.dark p,.dark li,.dark td,.dark th,.dark h1,.dark h2,.dark h3,.dark h4,.dark h5,.dark h6{color:#E6E6E3}.dark [class*=\"muted\"],.dark [class*=\"secondary\"],.dark [class*=\"subtitle\"],.dark [class*=\"description\"]{color:#B3B3AE}.dark .card{background-color:#2e2e2e!important}#sidebar{background-color:#f3f4f6}.dark #sidebar{background-color:#202020}div:has(>#sidebar){padding-left:8px!important;padding-right:8px!important;margin-left:0!important;max-width:1680px!important}#content{max-width:880px!important}#navbar>.max-w-8xl{margin-left:0!important}#navbar div.lg\\:px-12{padding-left:24px!important}#navbar div.px-12{padding-left:24px!important}div:has(>#content-side-layout){gap:1.5rem!important}.prose p,.prose li,.prose>span,.prose .prose{font-size:14px!important;line-height:20px!important}#sidebar button svg{color:#4B5563!important;width:12px!important}.dark #sidebar button svg{color:#9CA3AF!important}#sidebar{border-right:1px solid rgba(0, 0, 0, 0.08)}.dark #sidebar{border-right:1px solid rgba(255, 255, 255, 0.08)}#sidebar button{justify-content:space-between!important}.itable{overflow-x:auto}.itable table{table-layout:fixed;width:100%}.itable th:first-child,.itable td:first-child{width:190px}@media (max-width: 640px){.itable table{table-layout:auto;width:auto;min-width:100%}.itable th:first-child,.itable td:first-child{width:auto}}.irow-hidden,.itable-hidden,.iheading-hidden{display:none}.integration-filter-input{display:block;width:100%;max-width:420px;font:inherit;font-size:14px;padding:10px 14px;border:1px solid rgba(0, 0, 0, 0.12);border-radius:8px;margin:4px 0 28px;background:transparent;color:inherit}.dark .integration-filter-input{border-color:rgba(255, 255, 255, 0.16)}"}],"page":{"pagePath":"api-reference/completions/create-completion","slug":"/api-reference/completions/create-completion","pageMetadata":{"title":"Create completion","description":null,"deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /completions","href":"/api-reference/completions/create-completion","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":{},"config":{},"pageMetadata":{"title":"Create completion","description":null,"deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json post /completions","href":"/api-reference/completions/create-completion","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"createCompletion","tags":["Completions"],"summary":"Create completion","security":["b4c3131b-66b0-4599-9bab-e6ad5f52b3fa"],"requestBody":"7f81f261-3072-459e-ae16-4efd1d0782f6","responses":{"200":"994f3d42-cbf2-4691-a693-75013e14bb3f","400":"56469049-0863-4cc5-8b05-0f435967243c","401":"498a132f-1c91-4d20-87b6-137c232ed8be","404":"e4c2d438-962e-482f-8829-0e2790501e6e","408":"0a33e540-95de-40cc-a610-24919d819dc6","410":"8ee6c867-b9ff-4361-ac27-5b9d16900908","429":"8d4768d7-1ba7-4983-b338-00789f8386a7","500":"fb91afb4-0e61-4133-a70e-b1383259fdca","503":"46125644-ea8e-40bc-8223-acbe173d0676"},"x-codeSamples":[{"lang":"JavaScript","source":"import SambaNova from 'sambanova';\n\nconst client = new SambaNova({\n apiKey: process.env['SAMBANOVA_API_KEY'], // This is the default and can be omitted\n});\n\nconst completion = await client.completions.create({\n model: 'gpt-oss-120b',\n prompt:\n '\u003c|begin_of_text|>\u003c|start_header_id|>system\u003c|end_header_id|> You are a helpful assistant.\u003c|eot_id|>\u003c|start_header_id|>user\u003c|end_header_id|> create a poem using palindromes\u003c|eot_id|>\u003c|start_header_id|>assistant\u003c|end_header_id|>',\n});\n\nconsole.log(completion);"},{"lang":"Python","source":"import os\nfrom sambanova import SambaNova\n\nclient = SambaNova(\n api_key=os.environ.get(\"SAMBANOVA_API_KEY\"), # This is the default and can be omitted\n)\nfor completion in client.completions.create(\n model=\"gpt-oss-120b\",\n prompt=\"\u003c|begin_of_text|>\u003c|start_header_id|>system\u003c|end_header_id|> You are a helpful assistant.\u003c|eot_id|>\u003c|start_header_id|>user\u003c|end_header_id|> create a poem using palindromes\u003c|eot_id|>\u003c|start_header_id|>assistant\u003c|end_header_id|>\",\n):\n print(completion)"}],"method":"post","type":"path","servers":["b709db63-5fc4-4727-be6d-2a9dac334711"],"path":"/completions","baseUrlOptions":["https://api.sambanova.ai/v1"],"title":"Create completion","description":"","codeSamples":[{"lang":"JavaScript","source":"import SambaNova from 'sambanova';\n\nconst client = new SambaNova({\n apiKey: process.env['SAMBANOVA_API_KEY'], // This is the default and can be omitted\n});\n\nconst completion = await client.completions.create({\n model: 'gpt-oss-120b',\n prompt:\n '\u003c|begin_of_text|>\u003c|start_header_id|>system\u003c|end_header_id|> You are a helpful assistant.\u003c|eot_id|>\u003c|start_header_id|>user\u003c|end_header_id|> create a poem using palindromes\u003c|eot_id|>\u003c|start_header_id|>assistant\u003c|end_header_id|>',\n});\n\nconsole.log(completion);"},{"lang":"Python","source":"import os\nfrom sambanova import SambaNova\n\nclient = SambaNova(\n api_key=os.environ.get(\"SAMBANOVA_API_KEY\"), # This is the default and can be omitted\n)\nfor completion in client.completions.create(\n model=\"gpt-oss-120b\",\n prompt=\"\u003c|begin_of_text|>\u003c|start_header_id|>system\u003c|end_header_id|> You are a helpful assistant.\u003c|eot_id|>\u003c|start_header_id|>user\u003c|end_header_id|> create a poem using palindromes\u003c|eot_id|>\u003c|start_header_id|>assistant\u003c|end_header_id|>\",\n):\n print(completion)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"title":"Completion Request","type":"object","description":"completions request object. Unknown fields are rejected with a `400` (`unknown_parameter`) error.","additionalProperties":false,"properties":{"model":{"oneOf":[{"type":"string","title":"Model","description":"The model ID to use (e.g. gpt-oss-120b). See available [models](https://docs.sambanova.ai/docs/en/models/sambacloud-models)","isRequired":true,"uniqueKey":"model.oneOf.0","typeLabel":"string"},{"type":"string","title":"Model","description":"The model ID to use (e.g. gpt-oss-120b). See available [models](https://docs.sambanova.ai/docs/en/models/sambacloud-models)","enum":["DeepSeek-V3.1","DeepSeek-V3.2","Meta-Llama-3.3-70B-Instruct","MiniMax-M3","MiniMax-M3.1-Flash","gpt-oss-120b"],"isRequired":true,"uniqueKey":"model.oneOf.1","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"model","typeLabel":"string | enum\u003cstring>"},"prompt":{"title":"Prompt","type":"string","description":"Prompt to send to the model.","examples":["\u003c|begin_of_text|>\u003c|start_header_id|>system\u003c|end_header_id|>\nYou are a helpful assistant.\u003c|eot_id|>\u003c|start_header_id|>user\u003c|end_header_id|>\ncreate a poem using palindromes\u003c|eot_id|>\u003c|start_header_id|>assistant\u003c|end_header_id|>\n"],"isRequired":true,"uniqueKey":"prompt","typeLabel":"string"},"max_tokens":{"oneOf":[{"title":"Max Tokens","type":"integer","description":"The maximum number of tokens that can be generated in the chat completion. The total length of input tokens and generated tokens is limited by the model's context length.","example":2048,"uniqueKey":"max_tokens.oneOf.0","typeLabel":"integer"},{"title":"Max Tokens","type":"null","description":"The maximum number of tokens that can be generated in the chat completion. The total length of input tokens and generated tokens is limited by the model's context length.","example":2048,"uniqueKey":"max_tokens.oneOf.1","typeLabel":"null"}],"uniqueKey":"max_tokens","typeLabel":"integer | null"},"max_completion_tokens":{"oneOf":[{"title":"Max Completion Tokens","type":"integer","description":"The maximum number of tokens that can be generated in the chat completion. The total length of input tokens and generated tokens is limited by the model's context length.","example":2048,"uniqueKey":"max_completion_tokens.oneOf.0","typeLabel":"integer"},{"title":"Max Completion Tokens","type":"null","description":"The maximum number of tokens that can be generated in the chat completion. The total length of input tokens and generated tokens is limited by the model's context length.","example":2048,"uniqueKey":"max_completion_tokens.oneOf.1","typeLabel":"null"}],"uniqueKey":"max_completion_tokens","typeLabel":"integer | null"},"temperature":{"oneOf":[{"title":"Temperature","type":"number","description":"What sampling temperature to use, determines the degree of randomness in the response. between 0 and 2, Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. Is recommended altering this, top_p or top_k but not more than one of these.","minimum":0,"maximum":2,"default":0.7,"example":0.7,"uniqueKey":"temperature.oneOf.0","typeLabel":"number"},{"title":"Temperature","type":"null","description":"What sampling temperature to use, determines the degree of randomness in the response. between 0 and 2, Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. Is recommended altering this, top_p or top_k but not more than one of these.","minimum":0,"maximum":2,"default":0.7,"example":0.7,"uniqueKey":"temperature.oneOf.1","typeLabel":"null"}],"uniqueKey":"temperature","typeLabel":"number | null"},"top_p":{"oneOf":[{"title":"Top P","type":"number","description":"Cumulative probability for token choices. An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered. Is recommended altering this, top_k or temperature but not more than one of these.","minimum":0,"maximum":1,"example":1,"uniqueKey":"top_p.oneOf.0","typeLabel":"number"},{"title":"Top P","type":"null","description":"Cumulative probability for token choices. An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered. Is recommended altering this, top_k or temperature but not more than one of these.","minimum":0,"maximum":1,"example":1,"uniqueKey":"top_p.oneOf.1","typeLabel":"null"}],"uniqueKey":"top_p","typeLabel":"number | null"},"top_k":{"oneOf":[{"title":"Top K","type":"integer","description":"Amount limit of token choices. An alternative to sampling with temperature, the model considers the results of the first K tokens with higher probability. So 10 means only the first 10 tokens with higher probability are considered. Is recommended altering this, top_p or temperature but not more than one of these.","minimum":1,"maximum":100,"example":5,"uniqueKey":"top_k.oneOf.0","typeLabel":"integer"},{"title":"Top K","type":"null","description":"Amount limit of token choices. An alternative to sampling with temperature, the model considers the results of the first K tokens with higher probability. So 10 means only the first 10 tokens with higher probability are considered. Is recommended altering this, top_p or temperature but not more than one of these.","minimum":1,"maximum":100,"example":5,"uniqueKey":"top_k.oneOf.1","typeLabel":"null"}],"uniqueKey":"top_k","typeLabel":"integer | null"},"presence_penalty":{"oneOf":[{"title":"Presence Penalty","type":"number","description":"Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics. Not currently implemented; accepted for API compatibility","maximum":2,"minimum":-2,"default":0,"uniqueKey":"presence_penalty.oneOf.0","typeLabel":"number"},{"title":"Presence Penalty","type":"null","description":"Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics. Not currently implemented; accepted for API compatibility","maximum":2,"minimum":-2,"default":0,"uniqueKey":"presence_penalty.oneOf.1","typeLabel":"null"}],"uniqueKey":"presence_penalty","typeLabel":"number | null"},"frequency_penalty":{"title":"Frequency Penalty","type":"number","description":"Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim. Not currently implemented; accepted for API compatibility","maximum":2,"minimum":-2,"default":0,"uniqueKey":"frequency_penalty","typeLabel":"number"},"repetition_penalty":{"oneOf":[{"title":"Repetition Penalty","type":"number","description":"Penalizes repeated tokens. A value of 1.0 applies no penalty; values above 1.0 discourage repetition. Only supported for some models (currently MiniMax and gpt-oss models); silently ignored on models that do not support it.","maximum":2,"minimum":1,"uniqueKey":"repetition_penalty.oneOf.0","typeLabel":"number"},{"title":"Repetition Penalty","type":"null","description":"Penalizes repeated tokens. A value of 1.0 applies no penalty; values above 1.0 discourage repetition. Only supported for some models (currently MiniMax and gpt-oss models); silently ignored on models that do not support it.","maximum":2,"minimum":1,"uniqueKey":"repetition_penalty.oneOf.1","typeLabel":"null"}],"uniqueKey":"repetition_penalty","typeLabel":"number | null"},"stop":{"oneOf":[{"type":"string","title":"Stop","description":"Sequences where the API will stop generating tokens. The returned text will not contain the stop sequence.","example":"\n","uniqueKey":"stop.oneOf.0","typeLabel":"string"},{"type":"null","title":"Stop","description":"Sequences where the API will stop generating tokens. The returned text will not contain the stop sequence.","example":"\n","uniqueKey":"stop.oneOf.1","typeLabel":"null"},{"type":"array","items":{"type":"string","example":"[\"\\n\"]","uniqueKey":"stop.oneOf.2.items.[INDEX]","typeLabel":"string"},"title":"Stop","description":"Sequences where the API will stop generating tokens. The returned text will not contain the stop sequence.","uniqueKey":"stop.oneOf.2","typeLabel":"string[]"},{"type":"null","uniqueKey":"stop.oneOf.3","typeLabel":"null"}],"uniqueKey":"stop","typeLabel":"string · null · string[] · null"},"stream":{"oneOf":[{"title":"Stream","type":"boolean","description":"If set, partial message deltas will be sent. Tokens will be sent as data-only [server-sent events](https://developer.mozilla.org/en-US/docs/Web/API/Server-sent_events/Using_server-sent_events#Event_stream_format) as they become available, with the stream terminated by a `data: [DONE]` message.","default":false,"uniqueKey":"stream.oneOf.0","typeLabel":"boolean"},{"title":"Stream","type":"null","description":"If set, partial message deltas will be sent. Tokens will be sent as data-only [server-sent events](https://developer.mozilla.org/en-US/docs/Web/API/Server-sent_events/Using_server-sent_events#Event_stream_format) as they become available, with the stream terminated by a `data: [DONE]` message.","default":false,"uniqueKey":"stream.oneOf.1","typeLabel":"null"}],"uniqueKey":"stream","typeLabel":"boolean | null"},"stream_options":{"oneOf":[{"title":"StreamOptions","type":"object","description":"Options for streaming response. Only set this when setting stream as true","additionalProperties":true,"properties":{"include_usage":{"oneOf":[{"type":"boolean","title":"Include Usage","description":"Whether to include the usage metrics in a final chunk or not","uniqueKey":"stream_options.oneOf.0.include_usage.oneOf.0","typeLabel":"boolean"},{"type":"null","uniqueKey":"stream_options.oneOf.0.include_usage.oneOf.1","typeLabel":"null"}],"uniqueKey":"stream_options.oneOf.0.include_usage","typeLabel":"boolean | null"}},"uniqueKey":"stream_options.oneOf.0","typeLabel":"StreamOptions · object"},{"title":"StreamOptions","type":"null","description":"Options for streaming response. Only set this when setting stream as true","additionalProperties":true,"properties":{"include_usage":{"oneOf":[{"type":"boolean","title":"Include Usage","description":"Whether to include the usage metrics in a final chunk or not"},{"type":"null"}]}},"uniqueKey":"stream_options.oneOf.1","typeLabel":"null"}],"uniqueKey":"stream_options","typeLabel":"StreamOptions · object | null"},"logprobs":{"oneOf":[{"title":"Logprobs","type":"boolean","description":"This is not yet supported by our models in completions API. Whether to return log probabilities of the output tokens or not. If true, returns the log probabilities of each output token returned in the `content` of `message`.","default":false,"uniqueKey":"logprobs.oneOf.0","typeLabel":"boolean"},{"title":"Logprobs","type":"null","description":"This is not yet supported by our models in completions API. Whether to return log probabilities of the output tokens or not. If true, returns the log probabilities of each output token returned in the `content` of `message`.","default":false,"uniqueKey":"logprobs.oneOf.1","typeLabel":"null"}],"uniqueKey":"logprobs","typeLabel":"boolean | null"},"top_logprobs":{"oneOf":[{"title":"Top Logprobs","type":"integer","description":"This is not yet supported by our models in completions API. An integer between 0 and 20 specifying the number of most likely tokens to return at each token position, each with an associated log probability. `logprobs` must be set to `true` if this parameter is used.","maximum":20,"minimum":0,"uniqueKey":"top_logprobs.oneOf.0","typeLabel":"integer"},{"title":"Top Logprobs","type":"null","description":"This is not yet supported by our models in completions API. An integer between 0 and 20 specifying the number of most likely tokens to return at each token position, each with an associated log probability. `logprobs` must be set to `true` if this parameter is used.","maximum":20,"minimum":0,"uniqueKey":"top_logprobs.oneOf.1","typeLabel":"null"}],"uniqueKey":"top_logprobs","typeLabel":"integer | null"},"n":{"oneOf":[{"title":"N","type":"integer","description":"How many completions to generate for each prompt.\n**Note:** Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for `max_tokens`.","maximum":1,"minimum":1,"default":1,"example":1,"uniqueKey":"n.oneOf.0","typeLabel":"integer"},{"title":"N","type":"null","description":"How many completions to generate for each prompt.\n**Note:** Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for `max_tokens`.","maximum":1,"minimum":1,"default":1,"example":1,"uniqueKey":"n.oneOf.1","typeLabel":"null"}],"uniqueKey":"n","typeLabel":"integer | null"},"logit_bias":{"oneOf":[{"title":"Logit Bias","type":"object","description":"Modify the likelihood of specified tokens appearing in the generation. Accepts a JSON object that maps tokens (specified by their token ID in the model tokenizer) to an associated bias value from -100 to 100. Mathematically, the bias is added to the logits generated by the model prior to sampling. Values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.","uniqueKey":"logit_bias.oneOf.0","typeLabel":"Logit Bias · object"},{"title":"Logit Bias","type":"null","description":"Modify the likelihood of specified tokens appearing in the generation. Accepts a JSON object that maps tokens (specified by their token ID in the model tokenizer) to an associated bias value from -100 to 100. Mathematically, the bias is added to the logits generated by the model prior to sampling. Values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.","uniqueKey":"logit_bias.oneOf.1","typeLabel":"null"}],"uniqueKey":"logit_bias","typeLabel":"Logit Bias · object | null"},"seed":{"oneOf":[{"title":"Seed","description":"If specified, our system will make a best effort to sample deterministically, such that repeated requests with the same `seed` and parameters should return the same result.\nDeterminism is not guaranteed, and you should refer to the `system_fingerprint` response parameter to monitor changes in the backend.","type":"integer","uniqueKey":"seed.oneOf.0","typeLabel":"integer"},{"title":"Seed","description":"If specified, our system will make a best effort to sample deterministically, such that repeated requests with the same `seed` and parameters should return the same result.\nDeterminism is not guaranteed, and you should refer to the `system_fingerprint` response parameter to monitor changes in the backend.","type":"null","uniqueKey":"seed.oneOf.1","typeLabel":"null"}],"uniqueKey":"seed","typeLabel":"integer | null"}},"required":["model","prompt"],"examples":[{"prompt":"\u003c|begin_of_text|>\u003c|start_header_id|>system\u003c|end_header_id|> You are a helpful assistant.\u003c|eot_id|>\u003c|start_header_id|>user\u003c|end_header_id|> create a poem using palindromes\u003c|eot_id|>\u003c|start_header_id|>assistant\u003c|end_header_id|>","max_tokens":2048,"model":"gpt-oss-120b","stream":false,"temperature":0.7,"top_p":1}],"uniqueKey":"","typeLabel":"Completion Request · object"},"examples":{"Example":{"title":"Example","value":{"prompt":"\u003c|begin_of_text|>\u003c|start_header_id|>system\u003c|end_header_id|> You are a helpful assistant.\u003c|eot_id|>\u003c|start_header_id|>user\u003c|end_header_id|> create a poem using palindromes\u003c|eot_id|>\u003c|start_header_id|>assistant\u003c|end_header_id|>","max_tokens":2048,"model":"gpt-oss-120b","stream":false,"temperature":0.7,"top_p":1}}},"exampleType":"generated"}},"description":"text prompt and parameters","required":true,"exampleType":"generated"},"responses":{"994f3d42-cbf2-4691-a693-75013e14bb3f":{"description":"Successful Response","content":{"application/json":{"schema":{"oneOf":[{"type":"object","title":"Completion Response","description":"ompletion response returned by the model","required":["choices","created","id","model","object","system_fingerprint","usage"],"example":{"choices":[{"finish_reason":"stop","index":0,"text":"In madam moon's silver glow, Aha, a palindrome to know, Radar spins, a circular tale, Level heads prevail, without fail. A man, a plan, a canal, Panama! Able was I ere I saw Elba, A Santa at NASA, a curious sight, Do geese see God, in the pale moonlight? Mr. Owl ate my metal worm, Do nine men interpret? Nine men, I nod, Never odd or even, a palindrome's might, Madam, in Eden, I'm Adam. Aibohphobia, a fear to confess, A palindrome's symmetry, I must address, Refer, a word that reads the same, A palindrome's beauty, in its circular game. In the stillness of the night, Ava, a palindrome, shining bright, Hannah, a name that reads the same, A palindrome's magic, in its circular flame. Note: Please keep in mind that creating a poem using palindromes can be a challenging task, and the resulting poem may not be as cohesive or flowing as one that doesn't rely on palindromes. However, I hope you enjoy the attempt!"}],"created":1737583288.6076705,"id":"83a7809d-e18f-44f9-9ab7-2bc494c6c661","model":"gpt-oss-120b","object":"chat.completion","system_fingerprint":"fastcoe","usage":{"acceptance_rate":4.058139324188232,"completion_tokens":350,"completion_tokens_after_first_per_sec":248.09314856382406,"completion_tokens_after_first_per_sec_first_ten":249.67922929952655,"completion_tokens_per_sec":238.91966176995348,"end_time":1737583289.7345645,"is_last_response":true,"prompt_tokens":43,"start_time":1737583288.264706,"time_to_first_token":0.06312894821166992,"total_latency":1.4649275719174653,"total_tokens":393,"total_tokens_per_sec":268.27264878740493}},"properties":{"choices":{"title":"Choices","type":"array","items":{"title":"Completion Choice","type":"object","additionalProperties":true,"properties":{"text":{"title":"Text","type":"string","description":"model response","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].text","typeLabel":"string"},"finish_reason":{"title":"Finish Reason","type":"string","description":"The reason the model stopped generating tokens. Will be `stop` if the model hit a natural stop point or a provided stop sequence, `length` if the maximum number of tokens specified in the request was reached, `tool_calls` if the model called a tool.","enum":["stop","length","tool_calls"],"isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].finish_reason","typeLabel":"enum\u003cstring>"},"index":{"title":"Index","type":"integer","description":"The index of the choice in the list of choices","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].index","typeLabel":"integer"},"message":{"title":"Completion Response Message","type":"object","description":"completion response message object","additionalProperties":true,"properties":{"role":{"title":"Role","type":"string","description":"The role of the messages author","enum":["assistant","user","system","tool"],"isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].message.role","typeLabel":"enum\u003cstring>"},"content":{"oneOf":[{"title":"Content","type":"string","description":"The contents of the assistant message.","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].message.content.oneOf.0","typeLabel":"string"},{"title":"Content","type":"null","description":"The contents of the assistant message.","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].message.content.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].message.content","typeLabel":"string | null"},"tool_calls":{"oneOf":[{"title":"Tool Calls","type":"array","items":{"title":"AssistantToolCall","type":"object","additionalProperties":true,"properties":{"function":{"title":"AssistantToolCallFunction","type":"object","description":"The tool that the model called.","additionalProperties":true,"properties":{"name":{"oneOf":[{"title":"Name","type":"string","description":"The name of the function to call.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].function.name.oneOf.0","typeLabel":"string"},{"title":"Name","type":"null","description":"The name of the function to call.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].function.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].function.name","typeLabel":"string | null"},"arguments":{"oneOf":[{"title":"Arguments","type":"string","description":"The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].function.arguments.oneOf.0","typeLabel":"string"},{"title":"Arguments","type":"null","description":"The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].function.arguments.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].function.arguments","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].function","typeLabel":"AssistantToolCallFunction · object"},"id":{"oneOf":[{"title":"Id","type":"string","description":"ID of the tool call.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].id.oneOf.0","typeLabel":"string"},{"title":"Id","type":"null","description":"ID of the tool call.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].id","typeLabel":"string | null"},"type":{"oneOf":[{"title":"Type","type":"string","description":"type of the tool cal. only `function` is supported.","enum":["function"],"const":"function","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].type.oneOf.0","typeLabel":"enum\u003cstring>"},{"title":"Type","type":"null","description":"type of the tool cal. only `function` is supported.","enum":["function"],"const":"function","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].type.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].type","typeLabel":"enum\u003cstring> | null"},"index":{"oneOf":[{"title":"index","description":"index of tool call chunk only used when using streaming","type":"integer","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].index.oneOf.0","typeLabel":"integer"},{"title":"index","description":"index of tool call chunk only used when using streaming","type":"null","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].index.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX].index","typeLabel":"integer | null"}},"required":["function"],"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0.items.[INDEX]","typeLabel":"AssistantToolCall · object"},"description":"The tool calls generated by the model.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.0","typeLabel":"AssistantToolCall · object[]"},{"title":"Tool Calls","type":"null","items":{"title":"AssistantToolCall","type":"object","additionalProperties":true,"properties":{"function":{"title":"AssistantToolCallFunction","type":"object","description":"The tool that the model called.","additionalProperties":true,"properties":{"name":{"oneOf":[{"title":"Name","type":"string","description":"The name of the function to call."},{"title":"Name","type":"null","description":"The name of the function to call."}]},"arguments":{"oneOf":[{"title":"Arguments","type":"string","description":"The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function."},{"title":"Arguments","type":"null","description":"The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function."}]}}},"id":{"oneOf":[{"title":"Id","type":"string","description":"ID of the tool call."},{"title":"Id","type":"null","description":"ID of the tool call."}]},"type":{"oneOf":[{"title":"Type","type":"string","description":"type of the tool cal. only `function` is supported.","enum":["function"],"const":"function"},{"title":"Type","type":"null","description":"type of the tool cal. only `function` is supported.","enum":["function"],"const":"function"}]},"index":{"oneOf":[{"title":"index","description":"index of tool call chunk only used when using streaming","type":"integer"},{"title":"index","description":"index of tool call chunk only used when using streaming","type":"null"}]}},"required":["function"]},"description":"The tool calls generated by the model.","uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].message.tool_calls","typeLabel":"AssistantToolCall · object[] | null"}},"required":["role","content"],"uniqueKey":"oneOf.0.choices.items.[INDEX].message","typeLabel":"Completion Response Message · object"},"logprobs":{"oneOf":[{"type":"object","title":"Logprobs","description":"currently not supported in completions API, always null will be returned","required":["content"],"example":{"content":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111],"top_logprobs":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111]},{"token":" Hi","logprob":-8.243,"bytes":[32,72,105]}]},{"token":"!","logprob":-0.0023456,"bytes":[33],"top_logprobs":[{"token":"!","logprob":-0.0023456,"bytes":[33]},{"token":",","logprob":-6.712,"bytes":[44]}]}]},"properties":{"content":{"title":"Log Probs Content","additionalProperties":true,"properties":{"logprob":{"title":"Logprob","type":"number","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.logprob","typeLabel":"number"},"token":{"title":"Token","type":"string","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.token","typeLabel":"string"},"top_logprobs":{"title":"TopLogProbs","type":"object","additionalProperties":true,"properties":{"logprob":{"title":"Logprob","type":"number","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.logprob","typeLabel":"number"},"token":{"title":"Token","type":"string","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.token","typeLabel":"string"},"bytes":{"oneOf":[{"type":"array","items":{"type":"integer","uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.bytes.oneOf.0.items.[INDEX]","typeLabel":"integer"},"title":"Bytes","uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.bytes.oneOf.0","typeLabel":"integer[]"},{"type":"null","title":"Bytes","uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.bytes.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.bytes","typeLabel":"integer[] | null"}},"required":["token","logprob"],"examples":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111]},{"token":" Hi","logprob":-8.243,"bytes":[32,72,105]}],"isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.top_logprobs","typeLabel":"TopLogProbs · object"},"bytes":{"oneOf":[{"type":"array","items":{"type":"integer","uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.bytes.oneOf.0.items.[INDEX]","typeLabel":"integer"},"title":"Bytes","uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.bytes.oneOf.0","typeLabel":"integer[]"},{"type":"null","uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.bytes.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content.bytes","typeLabel":"integer[] | null"}},"required":["token","logprob","top_logprobs"],"examples":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111],"top_logprobs":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111]},{"token":" Hi","logprob":-8.243,"bytes":[32,72,105]}]}],"type":"object","isRequired":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0.content","typeLabel":"Log Probs Content · object"}},"additionalProperties":true,"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.0","typeLabel":"Logprobs · object"},{"type":"null","uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.choices.items.[INDEX].logprobs","typeLabel":"Logprobs · object | null"}},"required":["finish_reason","index","text"],"uniqueKey":"oneOf.0.choices.items.[INDEX]","typeLabel":"Completion Choice · object"},"minItems":1,"isRequired":true,"uniqueKey":"oneOf.0.choices","typeLabel":"Completion Choice · object[]"},"created":{"title":"Created","type":"number","description":"The Unix timestamp (in seconds) of when the chat completion was created.","isRequired":true,"uniqueKey":"oneOf.0.created","typeLabel":"number"},"id":{"title":"Id","type":"string","description":"A unique identifier for the chat completion.","isRequired":true,"uniqueKey":"oneOf.0.id","typeLabel":"string"},"model":{"title":"Model","description":"The model used for the chat completion.","type":"string","isRequired":true,"uniqueKey":"oneOf.0.model","typeLabel":"string"},"object":{"title":"Object","type":"string","description":"The object type, always `chat.completion`.","enum":["chat.completion"],"const":"chat.completion","isRequired":true,"uniqueKey":"oneOf.0.object","typeLabel":"enum\u003cstring>"},"system_fingerprint":{"title":"System fingerprint","type":"string","description":"Backend configuration that the model runs with.","isRequired":true,"uniqueKey":"oneOf.0.system_fingerprint","typeLabel":"string"},"usage":{"oneOf":[{"title":"Usage","type":"object","description":"Usage metrics for the completion, embeddings,transcription or translation request","additionalProperties":true,"properties":{"acceptance_rate":{"title":"Acceptance Rate","type":"number","description":"acceptance rate","uniqueKey":"oneOf.0.usage.oneOf.0.acceptance_rate","typeLabel":"number"},"completion_tokens":{"title":"Completion Tokens","type":"integer","description":"number of tokens generated in completion","uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens","typeLabel":"integer"},"completion_tokens_after_first_per_sec":{"title":"Completion Tokens After First Per Sec","type":"number","description":"completion tokens per second after first token generation","uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_after_first_per_sec","typeLabel":"number"},"completion_tokens_after_first_per_sec_first_ten":{"title":"Completion Tokens After First Per Sec First Ten","type":"number","description":"completion tokens per second after first token generation first ten","uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_after_first_per_sec_first_ten","typeLabel":"number"},"completion_tokens_after_first_per_sec_graph":{"title":"Completion Tokens After First Per Sec Graph","type":"number","description":"completion tokens per second after first token generation","uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_after_first_per_sec_graph","typeLabel":"number"},"completion_tokens_per_sec":{"title":"Completion Tokens Per Sec","type":"number","description":"completion tokens per second","uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_per_sec","typeLabel":"number"},"end_time":{"title":"End Time","type":"number","description":"The Unix timestamp (in seconds) of when the generation finished.","uniqueKey":"oneOf.0.usage.oneOf.0.end_time","typeLabel":"number"},"is_last_response":{"title":"Is Last Response","type":"boolean","description":"whether or not is last response, always true for non streaming response","const":true,"uniqueKey":"oneOf.0.usage.oneOf.0.is_last_response","typeLabel":"boolean"},"prompt_tokens_details":{"title":"Prompt tokens details","type":"object","description":"Extra tokens details","additionalProperties":true,"properties":{"cached_tokens":{"title":"Cached tokens","description":"amount of cached tokens","type":"integer","uniqueKey":"oneOf.0.usage.oneOf.0.prompt_tokens_details.cached_tokens","typeLabel":"integer"}},"uniqueKey":"oneOf.0.usage.oneOf.0.prompt_tokens_details","typeLabel":"Prompt tokens details · object"},"prompt_tokens":{"title":"Prompt Tokens","type":"integer","description":"number of tokens used in the prompt sent","uniqueKey":"oneOf.0.usage.oneOf.0.prompt_tokens","typeLabel":"integer"},"start_time":{"title":"Start Time","type":"number","description":"The Unix timestamp (in seconds) of when the generation started.","uniqueKey":"oneOf.0.usage.oneOf.0.start_time","typeLabel":"number"},"time_to_first_token":{"title":"Time To First Token","type":"number","description":"also TTF, time (in seconds) taken to generate the first token","uniqueKey":"oneOf.0.usage.oneOf.0.time_to_first_token","typeLabel":"number"},"time_to_first_token_graph":{"title":"Time To First Token Graph","type":"number","description":"Time (in seconds) to first token, adjusted for graph rendering. May differ slightly from time_to_first_token.","uniqueKey":"oneOf.0.usage.oneOf.0.time_to_first_token_graph","typeLabel":"number"},"stop_reason":{"oneOf":[{"title":"Stop Reason","type":"string","description":"The reason generation stopped (e.g. \"stop\", \"length\"). Mirrors the choice-level finish_reason but reported at the usage level.","uniqueKey":"oneOf.0.usage.oneOf.0.stop_reason.oneOf.0","typeLabel":"string"},{"title":"Stop Reason","type":"null","description":"The reason generation stopped (e.g. \"stop\", \"length\"). Mirrors the choice-level finish_reason but reported at the usage level.","uniqueKey":"oneOf.0.usage.oneOf.0.stop_reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.usage.oneOf.0.stop_reason","typeLabel":"string | null"},"completion_tokens_details":{"oneOf":[{"title":"Completion Tokens Details","type":"object","description":"Breakdown of completion token consumption.","additionalProperties":true,"properties":{"reasoning_tokens":{"title":"Reasoning Tokens","type":"integer","description":"Number of tokens consumed by the model's internal reasoning process. Only present on reasoning-capable models.","uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_details.oneOf.0.reasoning_tokens","typeLabel":"integer"}},"uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_details.oneOf.0","typeLabel":"Completion Tokens Details · object"},{"title":"Completion Tokens Details","type":"null","description":"Breakdown of completion token consumption.","additionalProperties":true,"properties":{"reasoning_tokens":{"title":"Reasoning Tokens","type":"integer","description":"Number of tokens consumed by the model's internal reasoning process. Only present on reasoning-capable models."}},"uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.usage.oneOf.0.completion_tokens_details","typeLabel":"Completion Tokens Details · object | null"},"total_latency":{"title":"Total Latency","type":"number","description":"total time (in seconds) taken to generate the full generation","uniqueKey":"oneOf.0.usage.oneOf.0.total_latency","typeLabel":"number"},"total_tokens":{"title":"Total Tokens","type":"integer","description":"prompt tokens + completion tokens","uniqueKey":"oneOf.0.usage.oneOf.0.total_tokens","typeLabel":"integer"},"total_tokens_per_sec":{"title":"Total Tokens Per Sec","type":"number","description":"tokens per second including prompt and completion","uniqueKey":"oneOf.0.usage.oneOf.0.total_tokens_per_sec","typeLabel":"number"}},"examples":[{"completion_tokens":260,"completion_tokens_after_first_per_sec":422.79282728043336,"completion_tokens_after_first_per_sec_first_ten":423.6108998455803,"completion_tokens_after_first_per_sec_graph":423.6108998455803,"completion_tokens_per_sec":314.53312043711406,"completion_tokens_details":{"reasoning_tokens":55},"end_time":1776189309.02061,"is_last_response":true,"prompt_tokens":90,"prompt_tokens_details":{"cached_tokens":0},"start_time":1776189308.193988,"stop_reason":"stop","time_to_first_token":0.21402883529663086,"time_to_first_token_graph":0.2102978229522705,"total_latency":0.8266220092773438,"total_tokens":350,"total_tokens_per_sec":423.40996981919204},{"prompt_tokens":43,"total_tokens":393}],"isRequired":true,"uniqueKey":"oneOf.0.usage.oneOf.0","typeLabel":"Usage · object"},{"title":"Usage","type":"null","description":"Usage metrics for the completion, embeddings,transcription or translation request","additionalProperties":true,"properties":{"acceptance_rate":{"title":"Acceptance Rate","type":"number","description":"acceptance rate"},"completion_tokens":{"title":"Completion Tokens","type":"integer","description":"number of tokens generated in completion"},"completion_tokens_after_first_per_sec":{"title":"Completion Tokens After First Per Sec","type":"number","description":"completion tokens per second after first token generation"},"completion_tokens_after_first_per_sec_first_ten":{"title":"Completion Tokens After First Per Sec First Ten","type":"number","description":"completion tokens per second after first token generation first ten"},"completion_tokens_after_first_per_sec_graph":{"title":"Completion Tokens After First Per Sec Graph","type":"number","description":"completion tokens per second after first token generation"},"completion_tokens_per_sec":{"title":"Completion Tokens Per Sec","type":"number","description":"completion tokens per second"},"end_time":{"title":"End Time","type":"number","description":"The Unix timestamp (in seconds) of when the generation finished."},"is_last_response":{"title":"Is Last Response","type":"boolean","description":"whether or not is last response, always true for non streaming response","const":true},"prompt_tokens_details":{"title":"Prompt tokens details","type":"object","description":"Extra tokens details","additionalProperties":true,"properties":{"cached_tokens":{"title":"Cached tokens","description":"amount of cached tokens","type":"integer"}}},"prompt_tokens":{"title":"Prompt Tokens","type":"integer","description":"number of tokens used in the prompt sent"},"start_time":{"title":"Start Time","type":"number","description":"The Unix timestamp (in seconds) of when the generation started."},"time_to_first_token":{"title":"Time To First Token","type":"number","description":"also TTF, time (in seconds) taken to generate the first token"},"time_to_first_token_graph":{"title":"Time To First Token Graph","type":"number","description":"Time (in seconds) to first token, adjusted for graph rendering. May differ slightly from time_to_first_token."},"stop_reason":{"oneOf":[{"title":"Stop Reason","type":"string","description":"The reason generation stopped (e.g. \"stop\", \"length\"). Mirrors the choice-level finish_reason but reported at the usage level."},{"title":"Stop Reason","type":"null","description":"The reason generation stopped (e.g. \"stop\", \"length\"). Mirrors the choice-level finish_reason but reported at the usage level."}]},"completion_tokens_details":{"oneOf":[{"title":"Completion Tokens Details","type":"object","description":"Breakdown of completion token consumption.","additionalProperties":true,"properties":{"reasoning_tokens":{"title":"Reasoning Tokens","type":"integer","description":"Number of tokens consumed by the model's internal reasoning process. Only present on reasoning-capable models."}}},{"title":"Completion Tokens Details","type":"null","description":"Breakdown of completion token consumption.","additionalProperties":true,"properties":{"reasoning_tokens":{"title":"Reasoning Tokens","type":"integer","description":"Number of tokens consumed by the model's internal reasoning process. Only present on reasoning-capable models."}}}]},"total_latency":{"title":"Total Latency","type":"number","description":"total time (in seconds) taken to generate the full generation"},"total_tokens":{"title":"Total Tokens","type":"integer","description":"prompt tokens + completion tokens"},"total_tokens_per_sec":{"title":"Total Tokens Per Sec","type":"number","description":"tokens per second including prompt and completion"}},"examples":[{"completion_tokens":260,"completion_tokens_after_first_per_sec":422.79282728043336,"completion_tokens_after_first_per_sec_first_ten":423.6108998455803,"completion_tokens_after_first_per_sec_graph":423.6108998455803,"completion_tokens_per_sec":314.53312043711406,"completion_tokens_details":{"reasoning_tokens":55},"end_time":1776189309.02061,"is_last_response":true,"prompt_tokens":90,"prompt_tokens_details":{"cached_tokens":0},"start_time":1776189308.193988,"stop_reason":"stop","time_to_first_token":0.21402883529663086,"time_to_first_token_graph":0.2102978229522705,"total_latency":0.8266220092773438,"total_tokens":350,"total_tokens_per_sec":423.40996981919204},{"prompt_tokens":43,"total_tokens":393}],"isRequired":true,"uniqueKey":"oneOf.0.usage.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.usage","typeLabel":"Usage · object | null"}},"uniqueKey":"oneOf.0","typeLabel":"Completion Response · object"},{"type":"object","title":"Completion Stream Response","description":"streamed chunk of a completion response returned by the model","required":["choices","created","id","model","object","system_fingerprint"],"example":{"choices":[{"delta":{"role":"assistant","content":""},"index":0,"finish_reason":null,"logprobs":null}],"created":1737642515.6076705,"id":"15fcaba4-1c4a-48fc-bc6e-05b55ddfb30b","model":"gpt-oss-120b","object":"chat.completion.chunk","system_fingerprint":"fastcoe"},"properties":{"choices":{"oneOf":[{"title":"Choices","type":"array","description":"A list of chat completion choices.","items":{"title":"Completion Chunk Choice","type":"object","additionalProperties":true,"properties":{"text":{"title":"Text","type":"string","description":"model generation response","isRequired":true,"uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].text","typeLabel":"string"},"finish_reason":{"oneOf":[{"title":"Finish Reason","type":"string","description":"The reason the model stopped generating tokens. Will be `stop` if the model hit a natural stop point or a provided stop sequence, `length` if the maximum number of tokens specified in the request was reached, `tool_calls` if the model called a tool.","enum":["stop","length"],"uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].finish_reason.oneOf.0","typeLabel":"enum\u003cstring>"},{"title":"Finish Reason","type":"null","description":"The reason the model stopped generating tokens. Will be `stop` if the model hit a natural stop point or a provided stop sequence, `length` if the maximum number of tokens specified in the request was reached, `tool_calls` if the model called a tool.","enum":["stop","length"],"uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].finish_reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].finish_reason","typeLabel":"enum\u003cstring> | null"},"index":{"title":"Index","type":"integer","description":"The index of the choice in the list of choices","uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].index","typeLabel":"integer"},"logprobs":{"oneOf":[{"type":"object","title":"Logprobs","description":"currently not supported in completions API, always null will be returned","required":["content"],"example":{"content":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111],"top_logprobs":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111]},{"token":" Hi","logprob":-8.243,"bytes":[32,72,105]}]},{"token":"!","logprob":-0.0023456,"bytes":[33],"top_logprobs":[{"token":"!","logprob":-0.0023456,"bytes":[33]},{"token":",","logprob":-6.712,"bytes":[44]}]}]},"properties":{"content":{"title":"Log Probs Content","additionalProperties":true,"properties":{"logprob":{"title":"Logprob","type":"number","isRequired":true,"uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.0.content.logprob","typeLabel":"number"},"token":{"title":"Token","type":"string","isRequired":true,"uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.0.content.token","typeLabel":"string"},"top_logprobs":{"title":"TopLogProbs","type":"object","additionalProperties":true,"properties":{"logprob":{"title":"Logprob","type":"number","isRequired":true,"uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.logprob","typeLabel":"number"},"token":{"title":"Token","type":"string","isRequired":true,"uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.token","typeLabel":"string"},"bytes":{"oneOf":[{"type":"array","items":{"type":"integer","uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.bytes.oneOf.0.items.[INDEX]","typeLabel":"integer"},"title":"Bytes","uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.bytes.oneOf.0","typeLabel":"integer[]"},{"type":"null","title":"Bytes","uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.bytes.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.0.content.top_logprobs.bytes","typeLabel":"integer[] | null"}},"required":["token","logprob"],"examples":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111]},{"token":" Hi","logprob":-8.243,"bytes":[32,72,105]}],"isRequired":true,"uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.0.content.top_logprobs","typeLabel":"TopLogProbs · object"},"bytes":{"oneOf":[{"type":"array","items":{"type":"integer","uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.0.content.bytes.oneOf.0.items.[INDEX]","typeLabel":"integer"},"title":"Bytes","uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.0.content.bytes.oneOf.0","typeLabel":"integer[]"},{"type":"null","uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.0.content.bytes.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.0.content.bytes","typeLabel":"integer[] | null"}},"required":["token","logprob","top_logprobs"],"examples":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111],"top_logprobs":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111]},{"token":" Hi","logprob":-8.243,"bytes":[32,72,105]}]}],"type":"object","isRequired":true,"uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.0.content","typeLabel":"Log Probs Content · object"}},"additionalProperties":true,"uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.0","typeLabel":"Logprobs · object"},{"type":"null","uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX].logprobs","typeLabel":"Logprobs · object | null"}},"required":["text"],"uniqueKey":"oneOf.1.choices.oneOf.0.items.[INDEX]","typeLabel":"Completion Chunk Choice · object"},"minItems":0,"isRequired":true,"uniqueKey":"oneOf.1.choices.oneOf.0","typeLabel":"Completion Chunk Choice · object[]"},{"title":"Choices","type":"null","description":"A list of chat completion choices.","items":{"title":"Completion Chunk Choice","type":"object","additionalProperties":true,"properties":{"text":{"title":"Text","type":"string","description":"model generation response"},"finish_reason":{"oneOf":[{"title":"Finish Reason","type":"string","description":"The reason the model stopped generating tokens. Will be `stop` if the model hit a natural stop point or a provided stop sequence, `length` if the maximum number of tokens specified in the request was reached, `tool_calls` if the model called a tool.","enum":["stop","length"]},{"title":"Finish Reason","type":"null","description":"The reason the model stopped generating tokens. Will be `stop` if the model hit a natural stop point or a provided stop sequence, `length` if the maximum number of tokens specified in the request was reached, `tool_calls` if the model called a tool.","enum":["stop","length"]}]},"index":{"title":"Index","type":"integer","description":"The index of the choice in the list of choices"},"logprobs":{"oneOf":[{"type":"object","title":"Logprobs","description":"currently not supported in completions API, always null will be returned","required":["content"],"example":{"content":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111],"top_logprobs":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111]},{"token":" Hi","logprob":-8.243,"bytes":[32,72,105]}]},{"token":"!","logprob":-0.0023456,"bytes":[33],"top_logprobs":[{"token":"!","logprob":-0.0023456,"bytes":[33]},{"token":",","logprob":-6.712,"bytes":[44]}]}]},"properties":{"content":{"title":"Log Probs Content","additionalProperties":true,"properties":{"bytes":{"oneOf":[{"type":"array","items":{"type":"integer"},"title":"Bytes"},{"type":"null"}]},"logprob":{"title":"Logprob","type":"number"},"token":{"title":"Token","type":"string"},"top_logprobs":{"title":"TopLogProbs","type":"object","additionalProperties":true,"properties":{"bytes":{"oneOf":[{"type":"array","items":{"type":"integer"},"title":"Bytes"},{"type":"null","title":"Bytes"}]},"logprob":{"title":"Logprob","type":"number"},"token":{"title":"Token","type":"string"}},"required":["token","logprob"],"examples":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111]},{"token":" Hi","logprob":-8.243,"bytes":[32,72,105]}]}},"required":["token","logprob","top_logprobs"],"examples":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111],"top_logprobs":[{"token":" Hello","logprob":-0.00012340000000000002,"bytes":[32,72,101,108,108,111]},{"token":" Hi","logprob":-8.243,"bytes":[32,72,105]}]}],"type":"object"}},"additionalProperties":true},{"type":"null"}]}},"required":["text"]},"minItems":0,"isRequired":true,"uniqueKey":"oneOf.1.choices.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.choices","typeLabel":"Completion Chunk Choice · object[] | null"},"created":{"title":"Created","type":"number","description":"The Unix timestamp (in seconds) of when the chat completion was created.","isRequired":true,"uniqueKey":"oneOf.1.created","typeLabel":"number"},"id":{"title":"Id","type":"string","description":"A unique identifier for the chat completion.","isRequired":true,"uniqueKey":"oneOf.1.id","typeLabel":"string"},"model":{"title":"Model","description":"The model used for the chat completion.","type":"string","isRequired":true,"uniqueKey":"oneOf.1.model","typeLabel":"string"},"object":{"title":"Object","type":"string","description":"The object type, always `chat.completion.chunk`.","enum":["chat.completion.chunk"],"const":"chat.completion.chunk","isRequired":true,"uniqueKey":"oneOf.1.object","typeLabel":"enum\u003cstring>"},"system_fingerprint":{"title":"System fingerprint","type":"string","description":"Backend configuration that the model runs with.","isRequired":true,"uniqueKey":"oneOf.1.system_fingerprint","typeLabel":"string"},"usage":{"oneOf":[{"title":"Usage","type":"object","description":"Usage metrics for the completion, embeddings,transcription or translation request","additionalProperties":true,"properties":{"acceptance_rate":{"title":"Acceptance Rate","type":"number","description":"acceptance rate","uniqueKey":"oneOf.1.usage.oneOf.0.acceptance_rate","typeLabel":"number"},"completion_tokens":{"title":"Completion Tokens","type":"integer","description":"number of tokens generated in completion","uniqueKey":"oneOf.1.usage.oneOf.0.completion_tokens","typeLabel":"integer"},"completion_tokens_after_first_per_sec":{"title":"Completion Tokens After First Per Sec","type":"number","description":"completion tokens per second after first token generation","uniqueKey":"oneOf.1.usage.oneOf.0.completion_tokens_after_first_per_sec","typeLabel":"number"},"completion_tokens_after_first_per_sec_first_ten":{"title":"Completion Tokens After First Per Sec First Ten","type":"number","description":"completion tokens per second after first token generation first ten","uniqueKey":"oneOf.1.usage.oneOf.0.completion_tokens_after_first_per_sec_first_ten","typeLabel":"number"},"completion_tokens_after_first_per_sec_graph":{"title":"Completion Tokens After First Per Sec Graph","type":"number","description":"completion tokens per second after first token generation","uniqueKey":"oneOf.1.usage.oneOf.0.completion_tokens_after_first_per_sec_graph","typeLabel":"number"},"completion_tokens_per_sec":{"title":"Completion Tokens Per Sec","type":"number","description":"completion tokens per second","uniqueKey":"oneOf.1.usage.oneOf.0.completion_tokens_per_sec","typeLabel":"number"},"end_time":{"title":"End Time","type":"number","description":"The Unix timestamp (in seconds) of when the generation finished.","uniqueKey":"oneOf.1.usage.oneOf.0.end_time","typeLabel":"number"},"is_last_response":{"title":"Is Last Response","type":"boolean","description":"whether or not is last response, always true for non streaming response","const":true,"uniqueKey":"oneOf.1.usage.oneOf.0.is_last_response","typeLabel":"boolean"},"prompt_tokens_details":{"title":"Prompt tokens details","type":"object","description":"Extra tokens details","additionalProperties":true,"properties":{"cached_tokens":{"title":"Cached tokens","description":"amount of cached tokens","type":"integer","uniqueKey":"oneOf.1.usage.oneOf.0.prompt_tokens_details.cached_tokens","typeLabel":"integer"}},"uniqueKey":"oneOf.1.usage.oneOf.0.prompt_tokens_details","typeLabel":"Prompt tokens details · object"},"prompt_tokens":{"title":"Prompt Tokens","type":"integer","description":"number of tokens used in the prompt sent","uniqueKey":"oneOf.1.usage.oneOf.0.prompt_tokens","typeLabel":"integer"},"start_time":{"title":"Start Time","type":"number","description":"The Unix timestamp (in seconds) of when the generation started.","uniqueKey":"oneOf.1.usage.oneOf.0.start_time","typeLabel":"number"},"time_to_first_token":{"title":"Time To First Token","type":"number","description":"also TTF, time (in seconds) taken to generate the first token","uniqueKey":"oneOf.1.usage.oneOf.0.time_to_first_token","typeLabel":"number"},"time_to_first_token_graph":{"title":"Time To First Token Graph","type":"number","description":"Time (in seconds) to first token, adjusted for graph rendering. May differ slightly from time_to_first_token.","uniqueKey":"oneOf.1.usage.oneOf.0.time_to_first_token_graph","typeLabel":"number"},"stop_reason":{"oneOf":[{"title":"Stop Reason","type":"string","description":"The reason generation stopped (e.g. \"stop\", \"length\"). Mirrors the choice-level finish_reason but reported at the usage level.","uniqueKey":"oneOf.1.usage.oneOf.0.stop_reason.oneOf.0","typeLabel":"string"},{"title":"Stop Reason","type":"null","description":"The reason generation stopped (e.g. \"stop\", \"length\"). Mirrors the choice-level finish_reason but reported at the usage level.","uniqueKey":"oneOf.1.usage.oneOf.0.stop_reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.usage.oneOf.0.stop_reason","typeLabel":"string | null"},"completion_tokens_details":{"oneOf":[{"title":"Completion Tokens Details","type":"object","description":"Breakdown of completion token consumption.","additionalProperties":true,"properties":{"reasoning_tokens":{"title":"Reasoning Tokens","type":"integer","description":"Number of tokens consumed by the model's internal reasoning process. Only present on reasoning-capable models.","uniqueKey":"oneOf.1.usage.oneOf.0.completion_tokens_details.oneOf.0.reasoning_tokens","typeLabel":"integer"}},"uniqueKey":"oneOf.1.usage.oneOf.0.completion_tokens_details.oneOf.0","typeLabel":"Completion Tokens Details · object"},{"title":"Completion Tokens Details","type":"null","description":"Breakdown of completion token consumption.","additionalProperties":true,"properties":{"reasoning_tokens":{"title":"Reasoning Tokens","type":"integer","description":"Number of tokens consumed by the model's internal reasoning process. Only present on reasoning-capable models."}},"uniqueKey":"oneOf.1.usage.oneOf.0.completion_tokens_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.usage.oneOf.0.completion_tokens_details","typeLabel":"Completion Tokens Details · object | null"},"total_latency":{"title":"Total Latency","type":"number","description":"total time (in seconds) taken to generate the full generation","uniqueKey":"oneOf.1.usage.oneOf.0.total_latency","typeLabel":"number"},"total_tokens":{"title":"Total Tokens","type":"integer","description":"prompt tokens + completion tokens","uniqueKey":"oneOf.1.usage.oneOf.0.total_tokens","typeLabel":"integer"},"total_tokens_per_sec":{"title":"Total Tokens Per Sec","type":"number","description":"tokens per second including prompt and completion","uniqueKey":"oneOf.1.usage.oneOf.0.total_tokens_per_sec","typeLabel":"number"}},"examples":[{"completion_tokens":260,"completion_tokens_after_first_per_sec":422.79282728043336,"completion_tokens_after_first_per_sec_first_ten":423.6108998455803,"completion_tokens_after_first_per_sec_graph":423.6108998455803,"completion_tokens_per_sec":314.53312043711406,"completion_tokens_details":{"reasoning_tokens":55},"end_time":1776189309.02061,"is_last_response":true,"prompt_tokens":90,"prompt_tokens_details":{"cached_tokens":0},"start_time":1776189308.193988,"stop_reason":"stop","time_to_first_token":0.21402883529663086,"time_to_first_token_graph":0.2102978229522705,"total_latency":0.8266220092773438,"total_tokens":350,"total_tokens_per_sec":423.40996981919204},{"prompt_tokens":43,"total_tokens":393}],"uniqueKey":"oneOf.1.usage.oneOf.0","typeLabel":"Usage · object"},{"title":"Usage","type":"null","description":"Usage metrics for the completion, embeddings,transcription or translation request","additionalProperties":true,"properties":{"acceptance_rate":{"title":"Acceptance Rate","type":"number","description":"acceptance rate"},"completion_tokens":{"title":"Completion Tokens","type":"integer","description":"number of tokens generated in completion"},"completion_tokens_after_first_per_sec":{"title":"Completion Tokens After First Per Sec","type":"number","description":"completion tokens per second after first token generation"},"completion_tokens_after_first_per_sec_first_ten":{"title":"Completion Tokens After First Per Sec First Ten","type":"number","description":"completion tokens per second after first token generation first ten"},"completion_tokens_after_first_per_sec_graph":{"title":"Completion Tokens After First Per Sec Graph","type":"number","description":"completion tokens per second after first token generation"},"completion_tokens_per_sec":{"title":"Completion Tokens Per Sec","type":"number","description":"completion tokens per second"},"end_time":{"title":"End Time","type":"number","description":"The Unix timestamp (in seconds) of when the generation finished."},"is_last_response":{"title":"Is Last Response","type":"boolean","description":"whether or not is last response, always true for non streaming response","const":true},"prompt_tokens_details":{"title":"Prompt tokens details","type":"object","description":"Extra tokens details","additionalProperties":true,"properties":{"cached_tokens":{"title":"Cached tokens","description":"amount of cached tokens","type":"integer"}}},"prompt_tokens":{"title":"Prompt Tokens","type":"integer","description":"number of tokens used in the prompt sent"},"start_time":{"title":"Start Time","type":"number","description":"The Unix timestamp (in seconds) of when the generation started."},"time_to_first_token":{"title":"Time To First Token","type":"number","description":"also TTF, time (in seconds) taken to generate the first token"},"time_to_first_token_graph":{"title":"Time To First Token Graph","type":"number","description":"Time (in seconds) to first token, adjusted for graph rendering. May differ slightly from time_to_first_token."},"stop_reason":{"oneOf":[{"title":"Stop Reason","type":"string","description":"The reason generation stopped (e.g. \"stop\", \"length\"). Mirrors the choice-level finish_reason but reported at the usage level."},{"title":"Stop Reason","type":"null","description":"The reason generation stopped (e.g. \"stop\", \"length\"). Mirrors the choice-level finish_reason but reported at the usage level."}]},"completion_tokens_details":{"oneOf":[{"title":"Completion Tokens Details","type":"object","description":"Breakdown of completion token consumption.","additionalProperties":true,"properties":{"reasoning_tokens":{"title":"Reasoning Tokens","type":"integer","description":"Number of tokens consumed by the model's internal reasoning process. Only present on reasoning-capable models."}}},{"title":"Completion Tokens Details","type":"null","description":"Breakdown of completion token consumption.","additionalProperties":true,"properties":{"reasoning_tokens":{"title":"Reasoning Tokens","type":"integer","description":"Number of tokens consumed by the model's internal reasoning process. Only present on reasoning-capable models."}}}]},"total_latency":{"title":"Total Latency","type":"number","description":"total time (in seconds) taken to generate the full generation"},"total_tokens":{"title":"Total Tokens","type":"integer","description":"prompt tokens + completion tokens"},"total_tokens_per_sec":{"title":"Total Tokens Per Sec","type":"number","description":"tokens per second including prompt and completion"}},"examples":[{"completion_tokens":260,"completion_tokens_after_first_per_sec":422.79282728043336,"completion_tokens_after_first_per_sec_first_ten":423.6108998455803,"completion_tokens_after_first_per_sec_graph":423.6108998455803,"completion_tokens_per_sec":314.53312043711406,"completion_tokens_details":{"reasoning_tokens":55},"end_time":1776189309.02061,"is_last_response":true,"prompt_tokens":90,"prompt_tokens_details":{"cached_tokens":0},"start_time":1776189308.193988,"stop_reason":"stop","time_to_first_token":0.21402883529663086,"time_to_first_token_graph":0.2102978229522705,"total_latency":0.8266220092773438,"total_tokens":350,"total_tokens_per_sec":423.40996981919204},{"prompt_tokens":43,"total_tokens":393}],"uniqueKey":"oneOf.1.usage.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.usage","typeLabel":"Usage · object | null"}},"additionalProperties":true,"uniqueKey":"oneOf.1","typeLabel":"Completion Stream Response · object"}],"uniqueKey":"","typeLabel":"Completion Response · object | Completion Stream Response · object"},"examples":{"Example":{"title":"Example","value":{"choices":[{"finish_reason":"stop","index":0,"text":"In madam moon's silver glow, Aha, a palindrome to know, Radar spins, a circular tale, Level heads prevail, without fail. A man, a plan, a canal, Panama! Able was I ere I saw Elba, A Santa at NASA, a curious sight, Do geese see God, in the pale moonlight? Mr. Owl ate my metal worm, Do nine men interpret? Nine men, I nod, Never odd or even, a palindrome's might, Madam, in Eden, I'm Adam. Aibohphobia, a fear to confess, A palindrome's symmetry, I must address, Refer, a word that reads the same, A palindrome's beauty, in its circular game. In the stillness of the night, Ava, a palindrome, shining bright, Hannah, a name that reads the same, A palindrome's magic, in its circular flame. Note: Please keep in mind that creating a poem using palindromes can be a challenging task, and the resulting poem may not be as cohesive or flowing as one that doesn't rely on palindromes. However, I hope you enjoy the attempt!"}],"created":1737583288.6076705,"id":"83a7809d-e18f-44f9-9ab7-2bc494c6c661","model":"gpt-oss-120b","object":"chat.completion","system_fingerprint":"fastcoe","usage":{"acceptance_rate":4.058139324188232,"completion_tokens":350,"completion_tokens_after_first_per_sec":248.09314856382406,"completion_tokens_after_first_per_sec_first_ten":249.67922929952655,"completion_tokens_per_sec":238.91966176995348,"end_time":1737583289.7345645,"is_last_response":true,"prompt_tokens":43,"start_time":1737583288.264706,"time_to_first_token":0.06312894821166992,"total_latency":1.4649275719174653,"total_tokens":393,"total_tokens_per_sec":268.27264878740493}}}},"exampleType":"generated"}},"exampleType":"generated"},"56469049-0863-4cc5-8b05-0f435967243c":{"description":"Bad Request - Missing or invalid parameters","content":{"text/plain":{"schema":{"type":"string","example":"Invalid request body: - missing property 'model'\"","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"Invalid request body: - missing property 'model'\""}},"exampleType":"generated"},"application/json":{"schema":{"oneOf":[{"type":"object","title":"GeneralError","description":"other kind of errors","required":["error"],"properties":{"error":{"type":"object","properties":{"code":{"oneOf":[{"title":"code","type":"string","description":"error code","uniqueKey":"oneOf.0.error.code.oneOf.0","typeLabel":"string"},{"title":"code","type":"null","description":"error code","uniqueKey":"oneOf.0.error.code.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.error.code","typeLabel":"string | null"},"message":{"title":"message","type":"string","description":"error message","uniqueKey":"oneOf.0.error.message","typeLabel":"string"},"param":{"oneOf":[{"title":"param","type":"string","description":"error params","uniqueKey":"oneOf.0.error.param.oneOf.0","typeLabel":"string"},{"title":"param","type":"null","description":"error params","uniqueKey":"oneOf.0.error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.error.param","typeLabel":"string | null"},"type":{"title":"type","type":"string","description":"error type","uniqueKey":"oneOf.0.error.type","typeLabel":"string"},"error_model_output":{"oneOf":[{"title":"Error Model Output","type":"string","description":"Raw model output that could not be parsed. Present on `server_error` responses when the model produced output that failed internal parsing (e.g. a malformed tool call JSON).","uniqueKey":"oneOf.0.error.error_model_output.oneOf.0","typeLabel":"string"},{"title":"Error Model Output","type":"null","description":"Raw model output that could not be parsed. Present on `ser
[...]
